:root{
    --postit: #feff9c;
    --blue: #1e95d0;
}
html, body {
    box-sizing: border-box;
    font-family: sans-serif;
    background-color: var(--blue);
    background: linear-gradient(var(--blue), #fff);
    font-size: 15px;
    -ms-overflow-style: none;
    scrollbar-width: none;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar { display: none;}
body {
    margin: 0; 
    min-width: 100vw;
    min-height: 100vh;
}
body>* {
    margin: 0;
    scrollbar-width: none;
    scroll-behavior: smooth;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}
h1, h2{font-weight: normal;}
h2{line-height: 1.8;}
header{
    position: fixed;
    top: 10px;
    width: 100vw;
    z-index: 3;
    pointer-events: none;
}
header h1{
    display: inline;
    padding: 11px;

}
header h1.overlay{opacity: 0;}

.projects {
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: fixed;
    height: 100vh;
    width: 100vw;
    z-index: 2;
}
.column{
    display: flex; 
    flex-direction: column; 
    height: 100vh; 
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    gap: 15px 0;
}
.column.right{align-items: flex-end;}
.column.mobile, .column::-webkit-scrollbar { display: none;}
.post-its .post,
.project-item.post-it,
.thumbnail.text{
    background-color: var(--postit);
    width: fit-content;
    height: 80px;
    min-width: 80px;
    display: flex;
    justify-content: center;
    align-content: center;
    filter: drop-shadow(0 0 7px rgba(0, 0, 0, 0.5));
    
}
.project-item.post-it.draggable{
    position: fixed;
    cursor: move;
    cursor: grab;
    z-index: 5;
}
.project-item {
    max-width: calc(100% / 3);
    margin: 0;
}
.project-item img { width: 100%;}
#swup{
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    justify-content: flex-start;
    padding-top: 50px;
    align-items: center;
    z-index: 3;
    pointer-events: none;

}

/* THUMBNAILS */
.thumbs {
    display: flex;
    height: 100px;
    margin-bottom: 10px;
    justify-content: center;
    align-items: flex-start;
    pointer-events: auto;
    gap: 10px;
}
.thumbs .thumbnail:hover{cursor: pointer;}
.thumbs img { height: 100px;}
.thumbnail figcaption {display: none;}
.thumbnail figure {margin: 0;}

/* PROJECT REEL */
.reel {
    display: flex;
    justify-content: center;
}
.project-content {
    position: absolute;
    opacity: 0;
    transition: opacity 0.3s;
}
.project-content.active{opacity: 1; pointer-events: auto; z-index: 5;}
.project-content.text {
    filter: drop-shadow(0 0 7px rgba(0, 0, 0, 0.5));
    background-color: var(--postit);
    padding: 16px;
    width: 35%;
    height: 50%;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
.project-content.text::-webkit-scrollbar {display: none;}
.project-content figure{margin: 0;}
.project-content img{max-width: 100%; max-height: 80vh;}

.transition-fade {
    transition: 0.5s;
    opacity: 1;
    pointer-events: auto;
}

html.is-animating .transition-fade {
    opacity: 0;
    pointer-events: none;
}

@media screen and (max-width: 650px) {
    #swup{
        position: fixed;
        width: calc((100% * 3) / 4);
        margin: 0;
        right: 0;
        padding-top: 70px;
    }
    .projects{grid-template-columns: 1fr;}
    .project-item{max-width: initial;}
    .project-item.post-it.draggable { position: inherit;}
    .project-item.post-it.draggable.desktop { display: none;}
    .column{width: calc(100% / 4);}
    .column.mobile{display: flex;}
    .column.desktop{display: none;}

    .thumbs, .thumbs img{height: 60px;}
    .thumbs{ justify-content: flex-end; width: 100%;}
    .thumbnail.text{height: 60px; min-width: 60px;}
    .project-content.text{height: 60%; width:85%; right: 0;}
}